---
date: 2021-07-31T19:30:00+02:00
weight: 0
authors:
    - cblte
    - creme
---

# [m] ~ Matrix at envs.net
Matrix is a free and open, secure, decentralized protocol for real-time communication, also known by the name of one of its clients, Element.

***

basic information about our Homeserver instance:   
[https://envs.net/chat/matrix/](https://envs.net/chat/matrix/)

***server admin:*** [`@creme:envs.net`](https://matrix.to/#/@creme:envs.net)  
***space:*** [`#space:envs.net`](https://matrix.to/#/#space:envs.net)  
***channel:*** [`#envs:envs.net`](https://matrix.to/#/#envs:envs.net)  
***abuse management:*** [`#abuse:envs.net`](https://matrix.to/#/#abuse:envs.net)

***

<figure>
<object data="images/matrix_interactive_en.svg" type="image/svg+xml" style="width: 1280px; max-width: 100%"></object>
<caption><i>Interactive Image - <a href="/images/matrix_interactive_en.svg" target="_blank">click here for the fullscreen version</a></i></caption>
</figure>

In recent years, the need for supporting digital tools for team collaboration has increased. A central tool is a team chat. According to Wikipedia, a chat refers to "electronic communication by means of written text in real time, usually via the Internet" ([Source](https://en.wikipedia.org/wiki/Chat)). With a messenger team members can make each other aware of current information and especially share links (*hyperlinks* / *links*) for further collaboration (e.g. for finding appointments, collaborative writing, planning events, editing data, code, mind maps,).

## Topics

* [Why Matrix and no other chat system?](why.md)
* [How can Matrix be used? (registration and first steps)](first-steps.md)
* [Recommendations for further important settings after first login](settings.md)
* [Installation of a client / program](clients.md)
    * [Browser settings](/clients/browser.md)
* [Find people and send direct messages](messaging.md)
* [Use end-to-end encryption](encryption.md)
* [Create rooms and take responsibility](rooms.md)
    * [Sharing rooms and making them public](/rooms/sharing/)
    * [Find rooms](/rooms/find/)
    * [Delete and leave rooms](/rooms/delete/)
    * [Spaces (a collection of rooms)](/rooms/spaces/)
* [Using spaces as room filters](rooms/spaces/)
* [Fine-tune notifications](notifications.md)
* [Use integrations, bridges, bots (e.g. Jitsi)](/advanced/integrations/)
* [More Clients](/clients/more_clients.md)
* [Further development of Matrix](development.md)
* [Privacy policy](https://envs.net/_matrix/consent)
* [Impressum](impressum.md)

## Questions and Contact

The ideal is to deal with problems in a transparent way, from which all others can learn. This can be done by describing the situation in the ENVS main room - here problems and solutions can be discussed together:

* [`#envs:envs.net`](https://matrix.to/#/#envs:envs.net) - official channel for envs.net
* [`#envs_german:envs.net`](https://matrix.to/#/#envs_german:envs.net) - german speaking project channel

***

**We have also two autojoin room's on our instance:**

* [`#home:envs.net`](https://matrix.to/#/#home:envs.net) - welcome room ~ for local matrix instance member only (unfederated)
* [`#lounge:envs.net`](https://matrix.to/#/#lounge:envs.net) - hang out in the #lounge | ~ offtopic chat ~

***

**E-mail:** [hostmaster@envs.net](mailto:hostmaster@envs.net)

!!! tip
    For some anomalies you can try to empty the cache and reload everything:  
    `Settings > Help & About > Clear Cache and reload`

!!! note
    Current maintenance is announced in the matrix room [#home:envs.net](https://matrix.to/#/#home:envs.net) (unfederated) and [#status:envs.net](https://matrix.to/#/#status:envs.net).
    ___
    The file upload limit on the Homeserver is: `100mb`
